//
//  ViewController.m
//  TestMoviePlayer
//
//  Created by vijay vikram singh on 4/28/17.
//  Copyright © 2017 vijay vikram singh. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    //NSString *path = [[NSBundle mainBundle] pathForResource:@"jellies" ofType:@"mp4"];
    //NSURL *url = [NSURL fileURLWithPath:path];
    NSURL *url = [NSURL URLWithString:@"https://www.radiantmediaplayer.com/media/bbb-360p.mp4"];

    AVPlayer *player = [AVPlayer playerWithURL:url];
    //player.closedCaptionDisplayEnabled = true;

    moviePlayer = [[AVPlayerViewController alloc] init];
    moviePlayer.player = player;
    [player play];
    [self addChildViewController:moviePlayer];
    [self.view addSubview:moviePlayer.view];
    [moviePlayer.view setFrame:CGRectMake(0, 0, 320, 320)];
  
  // For durationavailable event
  [moviePlayer addObserver:self forKeyPath:@"player.currentItem.duration" options:NSKeyValueObservingOptionNew | NSKeyValueObservingOptionOld context:nil];

}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)observeValueForKeyPath:(NSString *)keyPath ofObject:(id)object change:(NSDictionary<NSString *, id> *)change context:(void *)context
{
  if ([keyPath isEqualToString:@"player.currentItem.duration"]) {
    NSLog(@"duration event called");
  }
}

@end
